Bug 1876400 - CVE-2020-14342 cifs-utils: shell command injection in mount.cifs [fedora-all]
Summary: CVE-2020-14342 cifs-utils: shell command injection in mount.cifs [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cifs-utils
Version: 32
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: ronnie sahlberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-14342
TreeView+ depends on / blocked
 
Reported: 2020-09-07 07:09 UTC by Cedric Buissart
Modified: 2020-11-11 01:20 UTC (History)
4 users (show)

Fixed In Version: cifs-utils-6.11-1.fc34 cifs-utils-6.11-1.eln105 cifs-utils-6.11-1.fc33 cifs-utils-6.11-1.fc32
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-02 10:07:28 UTC
Type: ---


Attachments (Terms of Use)

Description Cedric Buissart 2020-09-07 07:09:30 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Cedric Buissart 2020-09-07 07:09:33 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1860884,1876400

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-11-02 10:07:28 UTC
FEDORA-2020-b708cb7b87 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2020-11-02 10:15:09 UTC
FEDORA-2020-ea0b9caac3 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ea0b9caac3

Comment 4 Fedora Update System 2020-11-02 10:16:10 UTC
FEDORA-2020-cfdd73f1b4 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cfdd73f1b4

Comment 5 Fedora Update System 2020-11-02 10:16:30 UTC
FEDORA-2020-948197dbe2 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-11-03 02:25:19 UTC
FEDORA-2020-ea0b9caac3 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ea0b9caac3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ea0b9caac3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-03 02:26:08 UTC
FEDORA-2020-cfdd73f1b4 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-cfdd73f1b4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cfdd73f1b4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-11-11 01:19:05 UTC
FEDORA-2020-ea0b9caac3 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-11-11 01:20:32 UTC
FEDORA-2020-cfdd73f1b4 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.